summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /net-analyzer/ettercap
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'net-analyzer/ettercap')
-rw-r--r--net-analyzer/ettercap/Manifest1
-rw-r--r--net-analyzer/ettercap/ettercap-0.8.2.ebuild63
-rw-r--r--net-analyzer/ettercap/ettercap-9999.ebuild73
-rw-r--r--net-analyzer/ettercap/metadata.xml19
4 files changed, 156 insertions, 0 deletions
diff --git a/net-analyzer/ettercap/Manifest b/net-analyzer/ettercap/Manifest
new file mode 100644
index 00000000000..9b0dc6cc6f4
--- /dev/null
+++ b/net-analyzer/ettercap/Manifest
@@ -0,0 +1 @@
+DIST ettercap-0.8.2.tar.gz 8082561 SHA256 f38514f35bea58bfe6ef1902bfd4761de0379942a9aa3e175fc9348f4eef2c81 SHA512 18137b1cc518c9db3c9650157a5cbf09dbb665b79876a24875d6c5125e8923ebde543464adb61cf1d1244101242f4d66b80d94ef3b36aa265cefca7646aa6415 WHIRLPOOL 3acc250a8c8929cf3f5533edf0e4657b8670525542f1f727c0ecd2af560db9de9004c16e880f05577fffa5cedd5535b448d4e675e3adbd4ae11675ee8f229bfd
diff --git a/net-analyzer/ettercap/ettercap-0.8.2.ebuild b/net-analyzer/ettercap/ettercap-0.8.2.ebuild
new file mode 100644
index 00000000000..81c34245f69
--- /dev/null
+++ b/net-analyzer/ettercap/ettercap-0.8.2.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+CMAKE_MIN_VERSION=2.8
+
+inherit cmake-utils
+
+DESCRIPTION="A suite for man in the middle attacks"
+HOMEPAGE="https://github.com/Ettercap/ettercap"
+SRC_URI="https://github.com/Ettercap/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz" #mirror does not work
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="alpha amd64 arm ppc ppc64 sparc x86 ~x86-fbsd"
+IUSE="gtk ipv6 ncurses +plugins"
+
+RDEPEND="dev-libs/libbsd
+ dev-libs/libpcre
+ dev-libs/openssl
+ net-libs/libnet:1.1
+ >=net-libs/libpcap-0.8.1
+ sys-libs/zlib
+ gtk? (
+ >=dev-libs/atk-1.2.4
+ >=dev-libs/glib-2.2.2:2
+ media-libs/freetype
+ x11-libs/cairo
+ x11-libs/gdk-pixbuf:2
+ >=x11-libs/gtk+-2.2.2:2
+ >=x11-libs/pango-1.2.3
+ )
+ ncurses? ( >=sys-libs/ncurses-5.3 )
+ plugins? ( >=net-misc/curl-7.26.0 )"
+DEPEND="${RDEPEND}
+ sys-devel/flex
+ virtual/yacc"
+
+src_prepare() {
+ sed -i "s:Release:Release Gentoo:" CMakeLists.txt || die
+}
+
+src_configure() {
+ local mycmakeargs=(
+ $(cmake-utils_use_enable ncurses CURSES)
+ $(cmake-utils_use_enable gtk)
+ $(cmake-utils_use_enable plugins)
+ $(cmake-utils_use_enable ipv6)
+ -DBUNDLED_LIBS=OFF
+ -DSYSTEM_LIBS=ON
+ -DINSTALL_SYSCONFDIR="${EROOT}"etc
+ )
+ #right now we only support gtk2, but ettercap also supports gtk3
+ #do we care? do we want to support both?
+
+ #we want to enable testing but it fails right now
+ #we want to disable the bundled crap, but we are missing at least "libcheck"
+ #if we want to enable tests, we need to fix it, and either package libcheck or allow bundled version
+ #$(cmake-utils_use_enable test TESTS)
+ cmake-utils_src_configure
+}
diff --git a/net-analyzer/ettercap/ettercap-9999.ebuild b/net-analyzer/ettercap/ettercap-9999.ebuild
new file mode 100644
index 00000000000..54f7803fc84
--- /dev/null
+++ b/net-analyzer/ettercap/ettercap-9999.ebuild
@@ -0,0 +1,73 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+CMAKE_MIN_VERSION=2.8
+
+inherit cmake-utils
+
+DESCRIPTION="A suite for man in the middle attacks"
+HOMEPAGE="https://github.com/Ettercap/ettercap"
+
+LICENSE="GPL-2+"
+SLOT="0"
+
+if [[ ${PV} == "9999" ]] ; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/Ettercap/${PN}.git"
+else
+ SRC_URI="https://github.com/Ettercap/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz" #mirror does not work
+ KEYWORDS="~alpha ~amd64 ~arm ~sparc ~x86 ~x86-fbsd"
+fi
+#IUSE="doc gtk ipv6 ncurses +plugins test"
+IUSE="doc gtk ipv6 ncurses +plugins"
+
+RDEPEND="dev-libs/libbsd
+ dev-libs/libpcre
+ dev-libs/openssl
+ net-libs/libnet:1.1
+ >=net-libs/libpcap-0.8.1
+ sys-libs/zlib
+ gtk? (
+ >=dev-libs/atk-1.2.4
+ >=dev-libs/glib-2.2.2:2
+ media-libs/freetype
+ x11-libs/cairo
+ x11-libs/gdk-pixbuf:2
+ >=x11-libs/gtk+-2.2.2:2
+ >=x11-libs/pango-1.2.3
+ )
+ ncurses? ( >=sys-libs/ncurses-5.3 )
+ plugins? ( >=net-misc/curl-7.26.0 )"
+DEPEND="${RDEPEND}
+ doc? ( app-text/ghostscript-gpl
+ sys-apps/groff )
+ sys-devel/flex
+ virtual/yacc"
+
+src_prepare() {
+ sed -i "s:Release:Release Gentoo:" CMakeLists.txt || die
+}
+
+src_configure() {
+ local mycmakeargs=(
+ $(cmake-utils_use_enable ncurses CURSES)
+ $(cmake-utils_use_enable gtk)
+ $(cmake-utils_use_enable plugins)
+ $(cmake-utils_use_enable ipv6)
+ $(cmake-utils_use_enable doc PDF_DOCS)
+ -DBUNDLED_LIBS=OFF
+ -DSYSTEM_LIBS=ON
+ -DINSTALL_SYSCONFDIR="${EROOT}"etc
+ )
+ #right now we only support gtk2, but ettercap also supports gtk3
+ #do we care? do we want to support both?
+
+ #we want to enable testing but it fails right now
+ #we want to disable the bundled crap, but we are missing at least "libcheck"
+ #if we want to enable tests, we need to fix it, and either package libcheck or allow bundled version
+ #$(cmake-utils_use_enable test TESTS)
+ cmake-utils_src_configure
+}
diff --git a/net-analyzer/ettercap/metadata.xml b/net-analyzer/ettercap/metadata.xml
new file mode 100644
index 00000000000..6b2a946bb7f
--- /dev/null
+++ b/net-analyzer/ettercap/metadata.xml
@@ -0,0 +1,19 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>netmon</herd>
+ <maintainer>
+ <email>zerochaos@gentoo.org</email>
+ <name>Rick Farina</name>
+ </maintainer>
+ <maintainer>
+ <email>ago@gentoo.org</email>
+ <name>Agostino Sarubbo</name>
+ </maintainer>
+ <use>
+ <flag name="plugins">Install ettercap plugins (et_*.so)</flag>
+ </use>
+ <upstream>
+ <remote-id type="github">Ettercap/ettercap</remote-id>
+ </upstream>
+</pkgmetadata>